export interface OperationMetadata {
    operation: string;
    fcn: string;
}
export interface PathMetadata {
    name: string;
    handler: string;
    operations: OperationMetadata[];
}
declare class DecoratorMetadataRegistry {
    private readonly paths;
    addPath(handler: string, path: string): void;
    addOperation(handler: string, operation: string, fcn: string): void;
    getDefinedPaths(): string[];
    getDefinedPathMetadata(path: string): PathMetadata | undefined;
    getDefinedOperationMetadata(path: string, operations: string[]): OperationMetadata | undefined;
}
export declare const decoratorMetadataRegistry: DecoratorMetadataRegistry;
export {};
